summaryrefslogtreecommitdiffstats
path: root/development/jdk11/jdk11.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'development/jdk11/jdk11.SlackBuild')
-rw-r--r--development/jdk11/jdk11.SlackBuild11
1 files changed, 5 insertions, 6 deletions
diff --git a/development/jdk11/jdk11.SlackBuild b/development/jdk11/jdk11.SlackBuild
index 24da37a05e..97d9ce17a1 100644
--- a/development/jdk11/jdk11.SlackBuild
+++ b/development/jdk11/jdk11.SlackBuild
@@ -2,7 +2,7 @@
# Slackware build script for jdk11
-# Copyright 2019 Igor Alexandrov <igora.vault@gmail.com>
+# Copyright 2019, 2020 Igor Alexandrov <igor.alexandrov@outlook.com>
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -23,7 +23,7 @@
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
PRGNAM=jdk11
-VERSION=${VERSION:-11.0.5}
+VERSION=${VERSION:-11.0.8}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
@@ -35,6 +35,8 @@ if [ -z "$ARCH" ]; then
esac
fi
+set -e
+
CWD=$(pwd)
TMP=${TMP:-/tmp/SBo}
PKG=$TMP/package-$PRGNAM
@@ -44,11 +46,9 @@ if [ "$ARCH" = "x86_64" ]; then
LIBDIRSUFFIX="64"
else
echo "$ARCH port is not supported"
- exit -1
+ exit 1
fi
-set -e
-
rm -rf $PKG
mkdir -p $TMP $OUTPUT \
$PKG/{install,etc/profile.d,usr/{lib${LIBDIRSUFFIX},doc/$PRGNAM-$VERSION}}
@@ -103,4 +103,3 @@ chmod 755 etc/profile.d/*
cat $CWD/slack-desc > install/slack-desc
/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
-